Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1990 - Linuxconf refuses to allow /dev/hde as boot device for LILO
Summary: Linuxconf refuses to allow /dev/hde as boot device for LILO
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: linuxconf
Version: 6.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Lawrence
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-04-04 23:55 UTC by Adam Thompson
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-04-08 19:16:58 UTC


Attachments (Terms of Use)

Description Adam Thompson 1999-04-04 23:55:51 UTC
Linuxconf refuses to allow /dev/hde as boot device for LILO.

Under Config->Boot Mode->Lilo->LILO defaults, simply
bringing up the dialog and selecting Accept (with "Install
boot sector on" *alreay* set to /dev/hde) produces the
following error:

"Invalid partition or device for boot sector installation"

Unfortunately, I really do boot off /dev/hde -- it's a
Promise Ultra/33 IDE PCI controller card.
Apparently /dev/hd[a-d] are reserved for ide0/1, DESPITE
the fact the the onboard CMD640 interface is turned off in
the BIOS.  [Despite being turned off, the PCI bus scan
still finds it.]

Anyway, based on what I can figure out, there must be
something hardcoded to prevent anything beyond /dev/hd[a-d]
from beins used.  Running and configuring LILO by hand
for /dev/hde works just fine.  Incidentally, the RH5.9
installer also dealt with /dev/hde correctly.  Just
linuxconf that breaks :-(

Comment 1 Michael K. Johnson 1999-04-05 20:22:59 UTC
Added Jacques to CC line

Comment 2 Michael K. Johnson 1999-04-05 20:38:59 UTC
Jacques, what would you think about changing this from an error
to a warning message?  We still want to warn "Joe Average" that
/dev/hdb is not a very good place to put a master boot record,
as a general rule, but a warning would suffice, and would let
folks like this use their relatively unusual configurations
without linuxconf getting in their way...

------- Email Received From  Jacques Gelinas <jack@solucorp.qc.ca> 04/06/99 22:57 -------

Comment 3 Michael K. Johnson 1999-04-08 19:16:59 UTC
Should be fixed in 1.14r3


Note You need to log in before you can comment on or make changes to this bug.